summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorVivien Kraus <vivien@planete-kraus.eu>2020-01-01 00:00:00 +0100
committerVivien Kraus <vivien@planete-kraus.eu>2021-06-19 13:06:24 +0200
commit92f9ea3303a70b9a5caddcffb200ecd549c475b8 (patch)
treedc4b00b9e8125bb753742cbf5b1c54b765e86708 /bootstrap
parent0e29ddc3c41870e14da87770a429a94f80dd4110 (diff)
Set up the project infrastructure
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap13
1 files changed, 13 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..4c37c0f
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+autoreconf -vif || exit 1
+sed -i 's|SHELL = /bin/sh|SHELL = @SHELL@|g' po/Makefile.in.in || exit 1
+
+## Prepare the man pages
+mkdir -p .native || exit 1
+cd .native || exit 1
+bash ../configure SHELL=$(which sh) || exit 1
+make -j V=1 || exit 1
+make -j dist || exit 1
+cd .. || exit 1
+rm -rf .native || exit 1